Bug 9573 - All national /etc/gtk/gtkrc.* are broken - extra quotes present
Summary: All national /etc/gtk/gtkrc.* are broken - extra quotes present
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gtk+   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-18 21:06 UTC by Leonid Kanter
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-22 15:18:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for gtkrc.ru (608 bytes, patch)
2000-02-18 21:11 UTC, Leonid Kanter
no flags Details | Diff

Description Leonid Kanter 2000-02-18 21:06:33 UTC
There are extra quotes in all national /etc/gtk/gtkrc.*. As a result,
gtk/gnome applications don't load correct font. Installer does not work
too, look at bug 9572. Patch for gtkrc.ru attached, the same patch has to
be created for every other gtkrc. Ask bug-makers from gtk team to do it :)

style "gtk-default-ru" {
       fontset =
"-adobe-helvetica-medium-r-normal--12-*-*-*-*-*-iso8859-*,\
                 -*-arial-medium-r-normal--12-*-*-*-*-*-iso8859-1,\"
                                                                  ^^^
                 -cronyx-helvetica-medium-r-normal--12-*-*-*-*-*-koi8-r,\"
                                                                        ^^^
                 -*-arial-medium-r-normal--12-*-*-*-*-*-koi8-r"
}
class "GtkWidget" style "gtk-default-ru"

Comment 1 Leonid Kanter 2000-02-18 21:11:59 UTC
Created attachment 124 [details]
patch for gtkrc.ru

Comment 2 Owen Taylor 2000-02-22 15:18:59 UTC
This problem was fixed in 1.2.6-7. Thanks for the report.

                                         Owen


Note You need to log in before you can comment on or make changes to this bug.